/*
 * @(#)IllegalExpressionException.java Version 1.0 98/03/12
 * 
 * Copyright (c) 1998 by Huahai Yang
 * 
 * Use at your own risk. I do not guarantee the fitness of this 
 * software for any purpose, and I do not accept responsibility for 
 * any damage you do to yourself or others by using this software.
 * This file may be distributed freely, provided its contents 
 * are not tampered with in any way.
 *
 */

/**
 * An Exception class.  It will be throwed out by Expression class 
 * once it encounters error while parsing an string as expression.
 * @see        Expression
 * @version 	1.0, 03/12/98
 * @author     Huahai Yang
 */
public class IllegalExpressionException extends Exception
{
   /**
    * Constructs this exception with no specified detail message.
    */
   public IllegalExpressionException()
   {
      super();
   } // 0 param constructor

   /**
    * Constructs this Exception with the specified detail message. 
    */
   public IllegalExpressionException(String msg)
   {
      super(msg);
   } // 1 param constructor

}  // IllegalExpressionException